Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class DefaultUserInfo

    java.lang.Object
      org.jbpm.services.task.identity.DefaultUserInfo

All Implemented Interfaces:
  org.kie.internal.task.api.UserInfo

    public class DefaultUserInfo

extends Object
implements org.kie.internal.task.api.UserInfo

Field Summary
`protected Map<String,Map<String,Object>>` | `registry`

Constructor Summary
`DefaultUserInfo()`
`DefaultUserInfo(Properties registryProps)` Constructs default UserInfo implementation to provide required information to the escalation handler.

Method Summary
`protected void` | `buildRegistry(Properties registryProps)`
`String` | `getDisplayName(OrganizationalEntity entity)`
`String` | `getEmailForEntity(OrganizationalEntity entity)`
`String` | `getLanguageForEntity(OrganizationalEntity entity)`
`Iterator<OrganizationalEntity>` | `getMembersForGroup(Group group)`
`boolean` | `hasEmail(Group group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registry

    protected Map<String,Map<String,Object>> registry

Constructor Detail

### DefaultUserInfo

    public DefaultUserInfo()

### DefaultUserInfo

    public DefaultUserInfo(Properties registryProps)

  Constructs default UserInfo implementation to provide required information to the escalation handler. following is the string for every organizational entity entityId=email:locale:displayname:[member,member] members are optional and should be given for group entities

  Parameters:
    `registryProps` -

Method Detail

### getDisplayName

    public String getDisplayName(OrganizationalEntity entity)

  Specified by:
    `getDisplayName` in interface `org.kie.internal.task.api.UserInfo`

### getMembersForGroup

    public Iterator<OrganizationalEntity> getMembersForGroup(Group group)

  Specified by:
    `getMembersForGroup` in interface `org.kie.internal.task.api.UserInfo`

### hasEmail

    public boolean hasEmail(Group group)

  Specified by:
    `hasEmail` in interface `org.kie.internal.task.api.UserInfo`

### getEmailForEntity

    public String getEmailForEntity(OrganizationalEntity entity)

  Specified by:
    `getEmailForEntity` in interface `org.kie.internal.task.api.UserInfo`

### getLanguageForEntity

    public String getLanguageForEntity(OrganizationalEntity entity)

  Specified by:
    `getLanguageForEntity` in interface `org.kie.internal.task.api.UserInfo`

### buildRegistry

    protected void buildRegistry(Properties registryProps)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.